import request from '@/utils/request'

// 查询设备轨迹列表
export function listDevcTrail(query) {
  return request({
    url: '/bd/devcTrail/list',
    method: 'get',
    params: query
  })
}

// 查询设备轨迹详细
export function getDevcTrail(id) {
  return request({
    url: '/bd/devcTrail/' + id,
    method: 'get'
  })
}

// 新增设备轨迹
export function addDevcTrail(data) {
  return request({
    url: '/bd/devcTrail',
    method: 'post',
    data: data
  })
}

// 修改设备轨迹
export function updateDevcTrail(data) {
  return request({
    url: '/bd/devcTrail',
    method: 'put',
    data: data
  })
}

// 删除设备轨迹
export function delDevcTrail(id) {
  return request({
    url: '/bd/devcTrail/' + id,
    method: 'delete'
  })
}
